summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-06-30 03:45:31 +0000
committer Eric Hameleers <alien@slackware.com>2021-06-30 08:59:54 +0200
commitc01ee3e65304c6ff4a85a5f74ea1aed6a315a2da (patch)
tree450f1724529854c2579a0cac972d14ce2ca03d87 /source
parent498a5695df7a6462ec45da8ac03906633b598ac6 (diff)
downloadcurrent-c01ee3e65304c6ff4a85a5f74ea1aed6a315a2da.tar.gz
current-c01ee3e65304c6ff4a85a5f74ea1aed6a315a2da.tar.xz
Wed Jun 30 03:45:31 UTC 202120210630034531
a/kernel-firmware-20210629_d79c267-noarch-1.txz: Upgraded. ap/cups-2.3.3op2-x86_64-1.txz: Upgraded. kde/lokalize-21.04.2-x86_64-2.txz: Rebuilt. Recompiled against hunspell-1.7.0. kde/sonnet-5.83.0-x86_64-2.txz: Rebuilt. Recompiled against hunspell-1.7.0. l/enchant-2.3.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. l/gtkspell-2.0.16-x86_64-7.txz: Rebuilt. Recompiled against enchant-2.3.0. l/hunspell-1.7.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. l/python-urllib3-1.26.6-x86_64-2.txz: Rebuilt. Don't build python2 version. l/python2-module-collection-2.7.18-x86_64-4.txz: Rebuilt. Upgraded to urllib3-1.25.11 for compatibility with requests. Thanks to USUARIONUEVO. l/qt5-5.15.2-x86_64-10.txz: Rebuilt. Recompiled against hunspell-1.7.0. n/php-7.4.21-x86_64-1.txz: Upgraded. This update fixes bugs and security issues: Core: SSRF bypass in FILTER_VALIDATE_URL. PDO_Firebird: Stack buffer overflow in firebird_info_cb. PDO_Firebird: SIGSEGV in firebird_handle_doer. PDO_Firebird: SIGSEGV in firebird_stmt_execute. PDO_Firebird: Crash while parsing blob data in firebird_fetch_blob. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21705 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21704 (* Security fix *) xap/pan-0.146-x86_64-5.txz: Rebuilt. Recompiled against enchant-2.3.0. extra/php8/php8-8.0.8-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/cups/cups.SlackBuild8
-rw-r--r--source/ap/cups/cups.url2
-rw-r--r--source/kde/kde/build/lokalize2
-rw-r--r--source/kde/kde/build/sonnet2
-rwxr-xr-xsource/l/enchant/enchant.SlackBuild18
-rwxr-xr-xsource/l/gtkspell/gtkspell.SlackBuild6
-rw-r--r--source/l/gtkspell/gtkspell.enchant-2.diff28
-rw-r--r--source/l/gtkspell/slack-desc2
-rwxr-xr-xsource/l/hunspell/hunspell.SlackBuild6
-rw-r--r--source/l/hunspell/slack-desc2
-rwxr-xr-xsource/l/python-urllib3/python-urllib3.SlackBuild3
-rwxr-xr-xsource/l/python2-module-collection/python2-module-collection.SlackBuild16
-rwxr-xr-xsource/l/qt5/qt5.SlackBuild2
-rwxr-xr-xsource/n/php/fetch-php.sh4
-rwxr-xr-xsource/n/php/php.SlackBuild7
-rw-r--r--source/n/php/php.enchant-2.patch76
-rwxr-xr-xsource/xap/pan/pan.SlackBuild5
-rw-r--r--source/xap/pan/pan.enchant2.diff33
18 files changed, 189 insertions, 33 deletions
diff --git a/source/ap/cups/cups.SlackBuild b/source/ap/cups/cups.SlackBuild
index 010002919..540af43b3 100755
--- a/source/ap/cups/cups.SlackBuild
+++ b/source/ap/cups/cups.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2017, 2018, 2019, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cups
-VERSION=${VERSION:-$(echo $PKGNAM-*-source.tar.?z | cut -f 2 -d -)}
-BUILD=${BUILD:-6}
+VERSION=${VERSION:-$(echo $PKGNAM-2*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -76,7 +76,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf cups-$VERSION
-tar xvf $CWD/cups-$VERSION-source.tar.?z || exit 1
+tar xvf $CWD/cups-$VERSION.tar.?z || exit 1
cd cups-$VERSION || exit 1
sed -i.orig -e 's#$exec_prefix/lib/cups#$libdir/cups#g' configure
diff --git a/source/ap/cups/cups.url b/source/ap/cups/cups.url
index 8dbffaf03..8a1831e77 100644
--- a/source/ap/cups/cups.url
+++ b/source/ap/cups/cups.url
@@ -1 +1 @@
-https://github.com/apple/cups
+https://github.com/openprinting/cups/releases
diff --git a/source/kde/kde/build/lokalize b/source/kde/kde/build/lokalize
index d00491fd7..0cfbf0888 100644
--- a/source/kde/kde/build/lokalize
+++ b/source/kde/kde/build/lokalize
@@ -1 +1 @@
-1
+2
diff --git a/source/kde/kde/build/sonnet b/source/kde/kde/build/sonnet
index d00491fd7..0cfbf0888 100644
--- a/source/kde/kde/build/sonnet
+++ b/source/kde/kde/build/sonnet
@@ -1 +1 @@
-1
+2
diff --git a/source/l/enchant/enchant.SlackBuild b/source/l/enchant/enchant.SlackBuild
index bff2a6663..2213d2a86 100755
--- a/source/l/enchant/enchant.SlackBuild
+++ b/source/l/enchant/enchant.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2007 Alex Elliott <alex@alex-elliott.co.uk>
-# Copyright 2008, 2009, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2013, 2018, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=enchant
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -70,7 +70,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-$VERSION
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
chown -R root:root .
find . \
@@ -79,6 +79,16 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+./bootstrap
+
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/l/gtkspell/gtkspell.SlackBuild b/source/l/gtkspell/gtkspell.SlackBuild
index 395789417..b4d6eb3f0 100755
--- a/source/l/gtkspell/gtkspell.SlackBuild
+++ b/source/l/gtkspell/gtkspell.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gtkspell
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/gtkspell.enchant-2.diff.gz | patch -p1 --verbose || exit 1
+
# Regenerate build system to fix newer gtk-doc dropping gtkdoc-mktmpl:
gtkdocize
autoreconf -vif
diff --git a/source/l/gtkspell/gtkspell.enchant-2.diff b/source/l/gtkspell/gtkspell.enchant-2.diff
new file mode 100644
index 000000000..e83595089
--- /dev/null
+++ b/source/l/gtkspell/gtkspell.enchant-2.diff
@@ -0,0 +1,28 @@
+--- ./gtkspell/gtkspell.c.orig 2009-10-09 14:01:47.000000000 -0500
++++ ./gtkspell/gtkspell.c 2021-06-29 14:00:00.570508124 -0500
+@@ -277,7 +277,7 @@
+ get_word_extents_from_mark(spell->buffer, &start, &end, spell->mark_click);
+ word = gtk_text_buffer_get_text(spell->buffer, &start, &end, FALSE);
+
+- enchant_dict_add_to_pwl( spell->speller, word, strlen(word));
++ enchant_dict_add( spell->speller, word, strlen(word));
+
+ gtkspell_recheck_all(spell);
+
+--- ./configure.ac.orig 2009-10-22 21:52:31.000000000 -0500
++++ ./configure.ac 2021-06-29 13:58:26.549513324 -0500
+@@ -12,12 +12,12 @@
+ AM_INIT_AUTOMAKE(AC_PACKAGE_NAME, AC_PACKAGE_VERSION)
+ AC_CONFIG_HEADERS([config.h])
+
+-SPELLER_LIB=-lenchant
++SPELLER_LIB=-lenchant-2
+
+ AC_SUBST(SPELLER_LIB)
+ GTKSPELL_PACKAGES=gtk+-2.0
+ AC_SUBST(GTKSPELL_PACKAGES)
+-PKG_CHECK_MODULES(GTKSPELL, $GTKSPELL_PACKAGES enchant >= 0.4.0 )
++PKG_CHECK_MODULES(GTKSPELL, $GTKSPELL_PACKAGES enchant-2 >= 2.2.0 )
+ AC_SUBST(GTKSPELL_CFLAGS)
+ AC_SUBST(GTKSPELL_LIBS)
+
diff --git a/source/l/gtkspell/slack-desc b/source/l/gtkspell/slack-desc
index a6a309e7e..a46053cc1 100644
--- a/source/l/gtkspell/slack-desc
+++ b/source/l/gtkspell/slack-desc
@@ -12,7 +12,7 @@ gtkspell: GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words
gtkspell: in a GtkTextView widget. Right-clicking a misspelled word pops up a
gtkspell: menu of suggested replacements.
gtkspell:
-gtkspell:
+gtkspell: Homepage: http://gtkspell.sourceforge.net
gtkspell:
gtkspell:
gtkspell:
diff --git a/source/l/hunspell/hunspell.SlackBuild b/source/l/hunspell/hunspell.SlackBuild
index e71505c84..3548896c9 100755
--- a/source/l/hunspell/hunspell.SlackBuild
+++ b/source/l/hunspell/hunspell.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=hunspell
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -78,7 +78,7 @@ esac
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
diff --git a/source/l/hunspell/slack-desc b/source/l/hunspell/slack-desc
index e55f92a20..399a9cc08 100644
--- a/source/l/hunspell/slack-desc
+++ b/source/l/hunspell/slack-desc
@@ -14,6 +14,6 @@ hunspell: and complex word compounding or character encoding.
hunspell: Hunspell interfaces: Ispell-like terminal interface using ncurses
hunspell: library, Ispell pipe interface, and OpenOffice.org UNO module.
hunspell:
-hunspell: Home page: http://hunspell.sourceforge.net/
+hunspell: Homepage: http://hunspell.sourceforge.net/
hunspell:
hunspell:
diff --git a/source/l/python-urllib3/python-urllib3.SlackBuild b/source/l/python-urllib3/python-urllib3.SlackBuild
index 52d338723..68897e49e 100755
--- a/source/l/python-urllib3/python-urllib3.SlackBuild
+++ b/source/l/python-urllib3/python-urllib3.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-urllib3
VERSION=${VERSION:-$(echo urllib3-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
SRCNAM=urllib3
@@ -61,7 +61,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-python setup.py install --root=$PKG || exit 1
python3 setup.py install --root=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/l/python2-module-collection/python2-module-collection.SlackBuild b/source/l/python2-module-collection/python2-module-collection.SlackBuild
index ad7bbf6b1..ee5dc4f4b 100755
--- a/source/l/python2-module-collection/python2-module-collection.SlackBuild
+++ b/source/l/python2-module-collection/python2-module-collection.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python2-module-collection
VERSION=2.7.18
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -428,20 +428,20 @@ python2 setup.py install --root=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/six-1.14.0
cp -a LICENSE* PKG-INFO README* $PKG/usr/doc/$PKGNAM-$VERSION/six-1.14.0
-# urllib3-1.25.8:
+# urllib3-1.25.11:
cd $TMP/$PKGNAM-$VERSION || exit 1
-tar xf $CWD/modules/urllib3-1.25.8.tar.lz || exit 1
-cd urllib3-1.25.8
+tar xf $CWD/modules/urllib3-1.25.11.tar.lz || exit 1
+cd urllib3-1.25.11
fix_perms
python2 setup.py install --root=$PKG || exit 1
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/urllib3-1.25.8
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/urllib3-1.25.11
cp -a *.rst *.txt PKG-INFO \
- $PKG/usr/doc/$PKGNAM-$VERSION/urllib3-1.25.8
-find $PKG/usr/doc/$PKGNAM-$VERSION/urllib3-1.25.8 -type f -exec chmod 0644 {} \+
+ $PKG/usr/doc/$PKGNAM-$VERSION/urllib3-1.25.11
+find $PKG/usr/doc/$PKGNAM-$VERSION/urllib3-1.25.11 -type f -exec chmod 0644 {} \+
# If there's a CHANGES.rst, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
if [ -r CHANGES.rst ]; then
- DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION/urllib3-1.25.8)
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION/urllib3-1.25.11)
cat CHANGES.rst | head -n 1000 > $DOCSDIR/CHANGES.rst
touch -r CHANGES.rst $DOCSDIR/CHANGES.rst
fi
diff --git a/source/l/qt5/qt5.SlackBuild b/source/l/qt5/qt5.SlackBuild
index de7557a2e..a406bd9f5 100755
--- a/source/l/qt5/qt5.SlackBuild
+++ b/source/l/qt5/qt5.SlackBuild
@@ -31,7 +31,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
VERSION=$(ls qt-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-9}
+BUILD=${BUILD:-10}
PKGSRC=$(echo $VERSION | cut -d - -f 1)
PKGVER=$(echo $VERSION | tr - _)
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
index e22271692..880b92fae 100755
--- a/source/n/php/fetch-php.sh
+++ b/source/n/php/fetch-php.sh
@@ -1,2 +1,2 @@
-lftpget http://us.php.net/distributions/php-7.4.20.tar.xz.asc
-lftpget http://us.php.net/distributions/php-7.4.20.tar.xz
+lftpget http://us.php.net/distributions/php-7.4.21.tar.xz.asc
+lftpget http://us.php.net/distributions/php-7.4.21.tar.xz
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index 74c8d4854..9b7cde933 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -3,7 +3,7 @@
# Build and package mod_php on Slackware.
# by: David Cantrell <david@slackware.com>
# Modified for PHP 4-5 by volkerdi@slackware.com
-# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020, 2021 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -155,6 +155,11 @@ zcat $CWD/php-fpm.conf.diff.gz | patch -p1 --verbose || exit 1
# Fix for imap API change:
zcat $CWD/php.imap.api.diff.gz | patch -p1 --verbose || exit 1
+# Use enchant-2:
+zcat $CWD/php.enchant-2.patch.gz | patch -p1 --verbose || exit 1
+export ENCHANT_CFLAGS="-I/usr/include/enchant-2"
+export ENCHANT_LIBS="-lenchant-2"
+
# Install the build folder into /usr/lib$LIBDIRSUFFIX/php/build
# and adapt phpize accordingly:
sed -i "s|build$|php/build|" scripts/Makefile.frag
diff --git a/source/n/php/php.enchant-2.patch b/source/n/php/php.enchant-2.patch
new file mode 100644
index 000000000..9d421c3bf
--- /dev/null
+++ b/source/n/php/php.enchant-2.patch
@@ -0,0 +1,76 @@
+--- php-7.4.4/ext/enchant/config.m4 2020-03-17 10:40:22.000000000 +0000
++++ php-7.4.4/ext/enchant/config.m4 2020-03-27 21:25:27.754470703 +0000
+@@ -4,21 +4,21 @@ PHP_ARG_WITH([enchant],
+ [Include Enchant support])])
+
+ if test "$PHP_ENCHANT" != "no"; then
+- PKG_CHECK_MODULES([ENCHANT], [enchant])
++ PKG_CHECK_MODULES([ENCHANT], [enchant-2])
+
+ PHP_EVAL_INCLINE($ENCHANT_CFLAGS)
+ PHP_EVAL_LIBLINE($ENCHANT_LIBS, ENCHANT_SHARED_LIBADD)
+
+ AC_DEFINE(HAVE_ENCHANT, 1, [ ])
+
+- PHP_CHECK_LIBRARY(enchant, enchant_get_version,
++ PHP_CHECK_LIBRARY(enchant-2, enchant_get_version,
+ [
+ AC_DEFINE(HAVE_ENCHANT_GET_VERSION, 1, [ ])
+ ], [ ], [
+ $ENCHANT_LIBS
+ ])
+
+- PHP_CHECK_LIBRARY(enchant, enchant_broker_set_param,
++ PHP_CHECK_LIBRARY(enchant-2, enchant_broker_set_param,
+ [
+ AC_DEFINE(HAVE_ENCHANT_BROKER_SET_PARAM, 1, [ ])
+ ], [ ], [
+--- a/ext/enchant/enchant.c.orig
++++ b/ext/enchant/enchant.c
+@@ -738,7 +738,7 @@
+ for (i = 0; i < n_sugg; i++) {
+ add_next_index_string(sugg, suggs[i]);
+ }
+- enchant_dict_free_suggestions(pdict->pdict, suggs);
++ enchant_dict_free_string_list(pdict->pdict, suggs);
+ }
+
+
+@@ -793,7 +793,7 @@
+ add_next_index_string(return_value, suggs[i]);
+ }
+
+- enchant_dict_free_suggestions(pdict->pdict, suggs);
++ enchant_dict_free_string_list(pdict->pdict, suggs);
+ }
+ }
+ /* }}} */
+@@ -813,7 +813,7 @@
+
+ PHP_ENCHANT_GET_DICT;
+
+- enchant_dict_add_to_personal(pdict->pdict, word, wordlen);
++ enchant_dict_add(pdict->pdict, word, wordlen);
+ }
+ /* }}} */
+
+@@ -851,7 +851,7 @@
+
+ PHP_ENCHANT_GET_DICT;
+
+- RETURN_BOOL(enchant_dict_is_in_session(pdict->pdict, word, wordlen));
++ RETURN_BOOL(enchant_dict_is_added(pdict->pdict, word, wordlen));
+ }
+ /* }}} */
+
+--- php-7.4.4/build/php.m4 2020-03-17 06:40:21.000000000 -0400
++++ php-7.4.4/build/php.m4 2020-04-05 09:27:14.634620646 -0400
+@@ -1541,7 +1541,7 @@ AC_DEFUN([PHP_CHECK_LIBRARY], [
+ ],[
+ LDFLAGS=$save_old_LDFLAGS
+ ext_shared=$save_ext_shared
+- unset ac_cv_lib_$1[]_$2
++ unset ac_cv_lib_[]translit($1, -, _)_$2
+ $4
+ ])dnl
+ ])
diff --git a/source/xap/pan/pan.SlackBuild b/source/xap/pan/pan.SlackBuild
index b3a8a3bfc..d9cacee99 100755
--- a/source/xap/pan/pan.SlackBuild
+++ b/source/xap/pan/pan.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pan
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,9 @@ find . \
# Fix gmime3 errors and building with glib-2.68.0:
zcat $CWD/pan.glib-2.68.0.diff.gz | patch -p1 --verbose || exit 1
+# Build with enchant-2:
+zcat $CWD/pan.enchant2.diff.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/xap/pan/pan.enchant2.diff b/source/xap/pan/pan.enchant2.diff
new file mode 100644
index 000000000..62311031b
--- /dev/null
+++ b/source/xap/pan/pan.enchant2.diff
@@ -0,0 +1,33 @@
+diff -u -r --new-file pan-0.146.orig/configure.ac pan-0.146/configure.ac
+--- pan-0.146.orig/configure.ac 2019-05-04 11:10:27.000000000 -0500
++++ pan-0.146/configure.ac 2021-06-29 14:19:49.612442354 -0500
+@@ -149,7 +149,7 @@
+ AC_DEFINE(HAVE_GTK,[1],[GTK+ 3 support])]
+ )
+ if test "x$want_gtkspell" = "xyes" ; then
+- PKG_CHECK_MODULES([GTKSPELL], [gtkspell3-3.0 >= $GTKSPELL3_REQUIRED enchant >= $ENCHANT_REQUIRED],
++ PKG_CHECK_MODULES([GTKSPELL], [gtkspell3-3.0 >= $GTKSPELL3_REQUIRED enchant-2 >= $ENCHANT_REQUIRED],
+ [
+ gtkspell_msg=yes
+ AC_DEFINE(HAVE_GTKSPELL,[1],[GtkSpell support for spellchecking])
+@@ -162,7 +162,7 @@
+ fi
+ else
+ if test "x$want_gtkspell" = "xyes" ; then
+- PKG_CHECK_MODULES([GTKSPELL], [gtkspell-2.0 >= $GTKSPELL_REQUIRED enchant >= $ENCHANT_REQUIRED],
++ PKG_CHECK_MODULES([GTKSPELL], [gtkspell-2.0 >= $GTKSPELL_REQUIRED enchant-2 >= $ENCHANT_REQUIRED],
+ [
+ gtkspell_msg=yes
+ AC_DEFINE(HAVE_GTKSPELL,[1],[GtkSpell support for spellchecking])
+diff -u -r --new-file pan-0.146.orig/pan/gui/group-prefs-dialog.cc pan-0.146/pan/gui/group-prefs-dialog.cc
+--- pan-0.146.orig/pan/gui/group-prefs-dialog.cc 2017-12-29 11:15:47.000000000 -0600
++++ pan-0.146/pan/gui/group-prefs-dialog.cc 2021-06-29 14:19:49.628442353 -0500
+@@ -23,7 +23,7 @@
+ #include <glib.h>
+ #include "gtk-compat.h"
+ #ifdef HAVE_GTKSPELL
+- #include <enchant/enchant.h>
++ #include <enchant-2/enchant.h>
+ #endif
+ }
+ #include <pan/general/debug.h>